Bug 139009 - Use std::unique_ptr instead of OwnPtr in JSC classes
Summary: Use std::unique_ptr instead of OwnPtr in JSC classes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on:
Blocks: 128007
  Show dependency treegraph
 
Reported: 2014-11-22 18:16 PST by Gyuyoung Kim
Modified: 2014-11-27 16:51 PST (History)
2 users (show)

See Also:


Attachments
Patch (14.84 KB, patch)
2014-11-22 18:17 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (14.19 KB, patch)
2014-11-23 02:21 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch for landing (12.34 KB, patch)
2014-11-26 06:39 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2014-11-22 18:16:02 PST
SSIA
Comment 1 Gyuyoung Kim 2014-11-22 18:17:59 PST
Created attachment 242127 [details]
Patch
Comment 2 Gyuyoung Kim 2014-11-23 02:21:24 PST
Created attachment 242132 [details]
Patch
Comment 3 Gyuyoung Kim 2014-11-24 17:50:08 PST
CC'ing Filip, could you take a look this patch ? (It was hard to ping you on IRC. So I add you to CC)
Comment 4 Gyuyoung Kim 2014-11-26 04:34:05 PST
Pizlo, could you take a look this as well ?
Comment 5 WebKit Commit Bot 2014-11-26 05:32:26 PST
Comment on attachment 242132 [details]
Patch

Rejecting attachment 242132 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'apply-attachment', '--no-update', '--non-interactive', 242132, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
vaScriptCore/inspector/ContentSearchUtilities.cpp.rej
patching file Source/JavaScriptCore/runtime/RegExp.cpp
patching file Source/JavaScriptCore/runtime/RegExp.h
patching file Source/JavaScriptCore/yarr/RegularExpression.cpp
patching file Source/JavaScriptCore/yarr/YarrInterpreter.cpp
patching file Source/JavaScriptCore/yarr/YarrInterpreter.h

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Filip Pizlo']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/6042494890409984
Comment 6 Gyuyoung Kim 2014-11-26 06:39:05 PST
Created attachment 242227 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2014-11-26 17:03:07 PST
Comment on attachment 242227 [details]
Patch for landing

Rejecting attachment 242227 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 242227, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
t.org/repository/webkit/trunk ...
Authentication realm: <http://svn.webkit.org:80> Mac OS Forge
Password for 'commit-queue@webkit.org': 
Authentication realm: <http://svn.webkit.org:80> Mac OS Forge
Username: Use of uninitialized value $username in chomp at /usr/share/git-core/perl/Git/SVN/Prompt.pm line 114.
error: git-svn died of signal 11

Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 139 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/4572464151527424
Comment 8 Gyuyoung Kim 2014-11-27 16:51:21 PST
Comment on attachment 242227 [details]
Patch for landing

Clearing flags on attachment: 242227

Committed r176553: <http://trac.webkit.org/changeset/176553>
Comment 9 Gyuyoung Kim 2014-11-27 16:51:29 PST
All reviewed patches have been landed.  Closing bug.